module idl {

    interface HelloCorba {

        void setOneString(in string value1);
        void setTwoStrings(in string value1, in string value2);
        void setThreeStrings(in string value1, in string value2, in string value3);

        string getOneString();
        string getTwoStrings(out string value2);
        string getThreeStrings(out string value2, out string value3);

        void  setLong(in long value);
        long  getLong();
        void  outLong(out long value);

        void  setShort(in short value);
        short getShort();
        void  outShort(out short value);

        void           setULong(in  unsigned long value);
        unsigned long  getULong();
        void           outULong(out unsigned long value);

        void           setUShort(in  unsigned short value);
        unsigned short getUShort();
        void           outUShort(out unsigned short value);

        void  setChar(in char value);
        char  getChar();
        void  outChar(out char value);

        void    setBoolean(in boolean value);
        boolean getBoolean();
        void    outBoolean(out boolean value);

        void  setOctet(in octet value);
        octet getOctet();
        void  outOctet(out octet value);
    };

};
